import json

from functions.feishu import Feishu
from config import alg_map

if __name__ == "__main__":
    F = Feishu("C1Qrsa4HWh6bzEtv7aocrFlAnad")
    w = F.search_value(sheet_id="jbEcaz", ab="A6:MK6")
    values = w["data"]["valueRange"]["values"]
    value_list = values[0]
    new_list = []
    for index, item in enumerate(value_list):
        if alg_map.get("c{}".format(index)):
            obj = {
                "type": "formula",
                "text": alg_map["c{}".format(index)],
                "number_setting": {"format": "percentage", "decimal_count": 2},
            }
            new_list.append(obj)
        else:
            new_list.append(item)

    print(json.dumps(new_list, ensure_ascii=False, indent=4))
    print(len(new_list))
    F.insert_value(sheet_id="Zi7oYW", values=[new_list[:100]], ranges="A6:CV6")
    F.insert_value(sheet_id="Zi7oYW", values=[new_list[100:200]], ranges="CW6:GR6")
    F.insert_value(sheet_id="Zi7oYW", values=[new_list[200:300]], ranges="GS6:KN6")
    F.insert_value(sheet_id="Zi7oYW", values=[new_list[300:]], ranges="KO6:MK6")
